skip to navigation
skip to content

dolmen.viewlet 0.4.1

Dolmen viewlets components

Downloads ↓

dolmen.viewlet provides a base component for the IViewSlot interface defined by cromlech.browser and defines a sub components, called Viewlet and providing the IViewlet interface.

Changes

0.4.1 (2012-00-17)

  • removed wrong import of request directive from deprecated cromlech.io

0.4 (2012-05-06)

  • The changes made in the cromlech.brower package (>= 0.5) are now in place. The most important change comes from the template component rendering call. Please check the changes in dolmen.template to have more details about that.

0.3 (2012-04-15)

  • Viewlet managers are now secured, just as the viewlets components are.
  • Security is now using the real interface of each component secured.
  • Viewlets and their managers now respect fully the interfaces. Meaning we no longer provide a __call__ method. update and render must be used consecutively, as normally assumed.
  • Base security is now set to zope.Public. Please, make sure your viewlets are secured properly, if using the security. This change might expose unwanted viewlets (non-explicitly proctected ones).

0.2 (2012-01-17)

  • i18n is now a result of a non-obstrusive adaptation. This prevents any error occuring when there's no language preferences provided.

0.2a1 (2011-11-24)

  • Added i18n fixed based on cromlech.i18n.

0.1b1 (2011-09-19)

  • Viewlet and ViewletManager are now providing zope.location.ILocation.

0.1a1 (2011-05-06)

  • Initial release.
 
File Type Py Version Uploaded on Size # downloads
dolmen.viewlet-0.4.1.tar.gz (md5) Source 2012-09-17 7KB 0